﻿using Microsoft.Extensions.DependencyInjection;
using Prism.Ioc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace BlankApp1.Common.Extension
{
    /// <summary>
    /// 依赖注入扩展方法
    /// </summary>
    public static class InjectionExtBL
    {
        /// <summary>
        /// 批量注入
        /// </summary>
        /// <param name="services">扩展对象</param>
        /// <param name="interfaceAssembly">接口</param>
        /// <param name="implementAssembly">实现类</param>
        public static void AddRegisterExtension(this IContainerRegistry containerRegistry, Assembly interfaceAssembly, Assembly implementAssembly)
        {
            var interfaces = interfaceAssembly.GetTypes().Where(d => d.IsInterface);//拿到所有项目中所有的接口
            var implements = implementAssembly.GetTypes().Where(x=>x.IsClass);//拿到项目中所有的类成员
            foreach (var item in interfaces)
            {
                //拿到实现了上面接口的成员,如果没有就返回null
                var type = implements.FirstOrDefault(t => item.IsAssignableFrom(t));
                //如果实现了,直接注入
                if (type != null)
                {
                    containerRegistry.Register(item, type);
                }
            }
        }
    }
}
