﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Model.Entities
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("bas_plc_item")]
    public partial class bas_plc_item
    {
           public bas_plc_item(){


           }
           /// <summary>
           /// Desc:PLC点位配置表主键ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public long plc_item_id {get;set;}

           /// <summary>
           /// Desc:PLC地址编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string plc_address_code {get;set;}

           /// <summary>
           /// Desc:PLC Item编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string plc_item_code {get;set;}

           /// <summary>
           /// Desc:PLC Item描述
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string plc_item_describe {get;set;}

           /// <summary>
           /// Desc:PLC Item类型。0：Read；1：Write；2：ReadAndWrite
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int plc_item_type {get;set;}

           /// <summary>
           /// Desc:PLC Item数据类型。0：int；1：ascii；2：bin
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int plc_item_format {get;set;}

           /// <summary>
           /// Desc:Word字偏移量
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? word_sub_offset {get;set;}

           /// <summary>
           /// Desc:Word字长
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int word_size {get;set;}

           /// <summary>
           /// Desc:当前Item是否为全字。0：非全字；1：全字；
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int is_full_word {get;set;}

           /// <summary>
           /// Desc:二进制偏移量 当前Item是非全字时，才生效
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bit_sub_offset {get;set;}

           /// <summary>
           /// Desc:二进制长度
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bit_size {get;set;}

           /// <summary>
           /// Desc:创建者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string create_by {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime create_time {get;set;}

           /// <summary>
           /// Desc:更新者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string update_by {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime update_time {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string remark {get;set;}

    }
}
