﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Model.Entities
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("bas_plc_test_scheme_dtl")]
    public partial class bas_plc_test_scheme_dtl
    {
           public bas_plc_test_scheme_dtl(){


           }
           /// <summary>
           /// Desc:测试方案明细主键ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public long scheme_dtl_id {get;set;}

           /// <summary>
           /// Desc:测试方案主键ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public long? scheme_id {get;set;}

           /// <summary>
           /// Desc:测试项名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string item_name {get;set;}
        /// <summary>
        /// 测试顺序
        /// </summary>
        public int sort { get; set; }
        /// <summary>
        /// Desc:测试项时间
        /// Default:
        /// Nullable:True
        /// </summary>           
        public int item_time { get; set; }
        /// <summary>
        /// Desc:测试项类型。0：代表测试方案的前置项，需要首先进行测试。1：PLC点位测试项。2：Robot动作测试
        /// Default:
        /// Nullable:True
        /// </summary>           
        public int? item_type {get;set;}

           /// <summary>
           /// Desc:测试项前置条件
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(IsJson=true)]           
           public object precondition {get;set;}

           /// <summary>
           /// Desc:测试项前置条件描述
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string precondition_describe {get;set;}

           /// <summary>
           /// Desc:测试项执行动作
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(IsJson=true)]           
           public object action {get;set;}

           /// <summary>
           /// Desc:测试项执行动作描述
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string action_describe {get;set;}

           /// <summary>
           /// Desc:测试项结果判定
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(IsJson=true)]           
           public object judgement_result {get;set;}

           /// <summary>
           /// Desc:测试项结果判定描述
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string judgement_result_describe {get;set;}

           /// <summary>
           /// Desc:创建者
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string create_by {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? create_time {get;set;}

           /// <summary>
           /// Desc:更新者
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string update_by {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? update_time {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string remark {get;set;}

    }
}
